org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery

## Interface JavaQueryPackage.Literals

Enclosing interface:
  JavaQueryPackage

    public static interface JavaQueryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `JAVA_QUERY` The meta object literal for the '`Java Query`' class.
`static EAttribute` `JAVA_QUERY__IMPLEMENTATION_CLASS_NAME` The meta object literal for the 'Implementation Class Name' attribute feature.

### Field Detail

#### JAVA_QUERY

    static final EClass JAVA_QUERY

The meta object literal for the '`Java Query`' class.

See Also:
  `org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery.impl.JavaQueryImpl`, `org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery.impl.JavaQueryPackageImpl#getJavaQuery()`
Generated:

#### JAVA_QUERY__IMPLEMENTATION_CLASS_NAME

    static final EAttribute JAVA_QUERY__IMPLEMENTATION_CLASS_NAME

The meta object literal for the 'Implementation Class Name' attribute feature.

Generated: